net.sf.jasperreports.engine.export.type

## Enum ImageAnchorTypeEnum

- java.lang.Object
- - java.lang.Enum<ImageAnchorTypeEnum>
  - - net.sf.jasperreports.engine.export.type.ImageAnchorTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImageAnchorTypeEnum>, JREnum, NamedEnum

      public enum ImageAnchorTypeEnum
      extends java.lang.Enum<ImageAnchorTypeEnum>
      implements JREnum

  Version:
    $Id: ImageAnchorTypeEnum.java 5890 2013-01-14 12:01:19Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MOVE_NO_SIZE` Constant useful for specifying the `Move but don't size with cells` anchor type in Excel.
    `MOVE_SIZE` Constant useful for specifying the `Move and size with cells` anchor type in Excel.
    `NO_MOVE_NO_SIZE` Constant useful for specifying the `Don't move or size with cells` anchor type in Excel.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageAnchorTypeEnum` | `getByName(java.lang.String name)`
    `static ImageAnchorTypeEnum` | `getByValue(byte value)`
    `static ImageAnchorTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ImageAnchorTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImageAnchorTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE_SIZE

          public static final ImageAnchorTypeEnum MOVE_SIZE

      Constant useful for specifying the `Move and size with cells` anchor type in Excel.

    - #### MOVE_NO_SIZE

          public static final ImageAnchorTypeEnum MOVE_NO_SIZE

      Constant useful for specifying the `Move but don't size with cells` anchor type in Excel.

    - #### NO_MOVE_NO_SIZE

          public static final ImageAnchorTypeEnum NO_MOVE_NO_SIZE

      Constant useful for specifying the `Don't move or size with cells` anchor type in Excel.

  - ### Method Detail

    - #### values

          public static ImageAnchorTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageAnchorTypeEnum c : ImageAnchorTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageAnchorTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static ImageAnchorTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static ImageAnchorTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ImageAnchorTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com